Package org.springframework.security.authorization

# Class AuthorizationObservationConvention

java.lang.Object
org.springframework.security.authorization.AuthorizationObservationConvention

All Implemented Interfaces:
  `io.micrometer.observation.KeyValuesConvention`, `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`

public final class AuthorizationObservationConvention extends Object implements io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>
An `ObservationConvention` for translating authorizations into `KeyValues`.

Since:
  6.0

## Field Summary

### Fields inherited from interface io.micrometer.observation.ObservationConvention

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationObservationConvention()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContextualName(AuthorizationObservationContext<?> context)`
`io.micrometer.common.KeyValues`
`getHighCardinalityKeyValues(AuthorizationObservationContext<?> context)`
`io.micrometer.common.KeyValues`
`getLowCardinalityKeyValues(AuthorizationObservationContext<?> context)`
`String`
`getName()`
`boolean`
`supportsContext(io.micrometer.observation.Observation.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizationObservationConvention

public AuthorizationObservationConvention()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`

### getContextualName

public String getContextualName(AuthorizationObservationContext<?> context)

Specified by:
  `getContextualName` in interface `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`

### getLowCardinalityKeyValues

public io.micrometer.common.KeyValues getLowCardinalityKeyValues(AuthorizationObservationContext<?> context)

Specified by:
  `getLowCardinalityKeyValues` in interface `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`

### getHighCardinalityKeyValues

public io.micrometer.common.KeyValues getHighCardinalityKeyValues(AuthorizationObservationContext<?> context)

Specified by:
  `getHighCardinalityKeyValues` in interface `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`

### supportsContext

public boolean supportsContext(io.micrometer.observation.Observation.Context context)

Specified by:
  `supportsContext` in interface `io.micrometer.observation.ObservationConvention<AuthorizationObservationContext<?>>`